ドキュメント本文へスキップ
API

オートメーションの統計

期間内のオートメーションの状況です。合計、ステップごとの行、日ごとの点を返します。

GET/automations/{id}/stats

実際の呼び出しをワークスペースに対して実行します。

GET /automations/{id}/stats

期間内のオートメーションの状況です。合計、ステップごとの行、日ごとの点を返します。

例

automations:read が必要です。since と until は ISO 8601 のタイムスタンプです。期間の既定は過去 30 日間で、最長 366 日です。

curl
curl "$OE/automations/aut_7c2e9a1f4b8d30c65e1a9f27/stats?since=2026-10-01T00:00:00Z" -H "$AUTH"
レスポンス
{  "object": "automation_stats",  "automationId": "aut_7c2e9a1f4b8d30c65e1a9f27",  "since": "2026-10-01T00:00:00.000Z",  "until": "2026-10-11T09:30:00.000Z",  "totals": {    "entered": 459, "active": 38, "completed": 412, "exited": 9,    "sent": 611, "delivered": 604, "opened": 371, "clicked": 96,    "bounced": 7, "complained": 0, "unsubscribed": 4  },  "steps": [    {      "stepKey": "welcome", "kind": "send_email",      "entered": 459, "waiting": 0, "completed": 459, "exited": 0,      "sent": 457, "skipped": 2, "failed": 0, "yes": 0, "no": 0,      "delivered": 452, "opened": 301, "clicked": 88, "bounced": 5, "complained": 0, "unsubscribed": 3    }  ],  "series": [{ "day": "2026-10-10T00:00:00.000Z", "entered": 41, "completed": 37, "exited": 1, "sent": 55 }]}

active と各ステップの waiting は、期間にかかわらず現時点の数です。それ以外はすべて期間内で数えます。

series の日付は UTC の日単位です。

opened は 1 回以上開封されたメールの数で、信頼性は開封トラッキングの精度しだいです。読み手の代わりに画像を読み込むメールアプリがあると、数が水増しされます。

リファレンス